> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update employee official education

> Replace the data of an official education of the employee. Optional fields left out are cleared; whether it is shared with colleagues is kept.

Version:
v4


## OpenAPI

````yaml openapi-v2.json PUT /core/v4/employees/{employeeId}/official-educations/{officialEducationId}
openapi: 3.0.0
info:
  title: Sesame Public API v2
  description: >-
    Public API v2 — additive surface `/public/{context}/v{N}`,
    endpoint-versioned from v4
  version: 1.0.0
servers:
  - url: https://api.sesamehr.com
    description: Production
security:
  - Bearer: []
paths:
  /core/v4/employees/{employeeId}/official-educations/{officialEducationId}:
    put:
      tags:
        - Official Education
      summary: Update employee official education
      description: >-
        Replace the data of an official education of the employee. Optional
        fields left out are cleared; whether it is shared with colleagues is
        kept.
      operationId: UpdateEmployeeOfficialEducation
      parameters:
        - name: employeeId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: officialEducationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEmployeeOfficialEducationRequest'
      responses:
        '204':
          description: The official education was updated.
        '401':
          description: Missing or invalid API key
        '403':
          description: API consumer lacks permission over the requested resource
        '422':
          description: Validation error
components:
  schemas:
    UpdateEmployeeOfficialEducationRequest:
      required:
        - courseId
        - schoolId
      properties:
        courseId:
          description: >-
            Degree or course of the official education catalogue (GET
            /courses?section=official).
          type: string
          format: uuid
          example: 5f0704e4-c53b-4858-ae24-3a779cf7248d
        schoolId:
          description: >-
            Centre of the official education catalogue (GET
            /schools?section=official).
          type: string
          format: uuid
          example: 9d6ce97f-e48f-476f-bb8f-f1a8f6ea9db7
        startDate:
          type: string
          format: date
          example: '2026-03-01'
          nullable: true
        endDate:
          description: Cannot be before startDate.
          type: string
          format: date
          example: '2026-06-30'
          nullable: true
        comment:
          type: string
          maxLength: 100
          example: Mención en neurología
          nullable: true
      type: object
  securitySchemes:
    Bearer:
      type: http
      description: 'Sesame Public API consumer token (Authorization: Bearer <token>)'
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.